Package org.eclipse.graphiti.ui.internal.editor

## Class GFScrollingGraphicalViewer

- java.lang.Object
- - org.eclipse.gef.ui.parts.AbstractEditPartViewer
  - - org.eclipse.gef.ui.parts.GraphicalViewerImpl
    - - org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
      - - org.eclipse.graphiti.ui.internal.editor.GraphitiScrollingGraphicalViewer
        - - org.eclipse.graphiti.ui.internal.editor.GFScrollingGraphicalViewer

All Implemented Interfaces:
  `org.eclipse.gef.EditPartViewer`, `org.eclipse.gef.GraphicalViewer`, `org.eclipse.jface.viewers.ISelectionProvider`

    public class GFScrollingGraphicalViewer
    extends GraphitiScrollingGraphicalViewer

The Class GFScrollingGraphicalViewer.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.EditPartViewer

`org.eclipse.gef.EditPartViewer.Conditional`

### Field Summary

### Fields inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`constantSelection, focusPart, selection, selectionListeners`

### Constructor Summary

Constructors
`GFScrollingGraphicalViewer​(DiagramBehavior diagramBehavior)` Constructs a ScrollingGraphicalViewer;.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createDefaultRoot()` Creates the default root editpart.
`org.eclipse.swt.widgets.Control` `createGFControl​(org.eclipse.swt.widgets.Composite parent)` Creates the gf control.
`protected GFFigureCanvas` `getGFFigureCanvas()` Gets the figure canvas.
`void` `reveal​(org.eclipse.gef.EditPart part)`
`protected void` `setRootFigure​(org.eclipse.draw2d.IFigure figure)`

### Methods inherited from class org.eclipse.graphiti.ui.internal.editor.GraphitiScrollingGraphicalViewer

`appendSelection, getDiagramBehavior, select, setSelection`

### Methods inherited from class org.eclipse.gef.ui.parts.ScrollingGraphicalViewer

`createControl, getFigureCanvas, hookRootFigure`

### Methods inherited from class org.eclipse.gef.ui.parts.GraphicalViewerImpl

`createLightweightSystem, findHandleAt, findObjectAtExcluding, flush, getEventDispatcher, getLayerManager, getLightweightSystem, getRootFigure, handleDispose, handleFocusGained, handleFocusLost, hookControl, hookDropTarget, registerAccessibleEditPart, setContextMenu, setCursor, setDragSource, setEditDomain, setRootEditPart, setRouteEventsToEditDomain, unhookControl, unregisterAccessibleEditPart`

### Methods inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, addSelectionChangedListener, deselect, deselectAll, findObjectAt, findObjectAtExcluding, fireSelectionChanged, getContents, getContextMenu, getControl, getDelegatingDragAdapter, getDelegatingDropAdapter, getDragSource, getDropTarget, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, hookDragSource, init, primGetSelectedEditParts, refreshDragSourceAdapter, refreshDropTargetAdapter, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, removeSelectionChangedListener, setContents, setContents, setControl, setDropTarget, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, deselect, deselectAll, findObjectAt, findObjectAtExcluding, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, setContents, setContents, setControl, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener`

### Constructor Detail

#### GFScrollingGraphicalViewer

    public GFScrollingGraphicalViewer​(DiagramBehavior diagramBehavior)

Constructs a ScrollingGraphicalViewer;.

Parameters:
  `diagramEditor` - the diagram editor

### Method Detail

#### createDefaultRoot

    protected void createDefaultRoot()

Creates the default root editpart. Called during construction.

Overrides:
  `createDefaultRoot` in class `org.eclipse.gef.ui.parts.GraphicalViewerImpl`

#### createGFControl

    public final org.eclipse.swt.widgets.Control createGFControl​(org.eclipse.swt.widgets.Composite parent)

Creates the gf control.

Parameters:
  `parent` - the parent
Returns:
  the control

#### getGFFigureCanvas

    protected GFFigureCanvas getGFFigureCanvas()

Gets the figure canvas.

Returns:
  the figure canvas

#### setRootFigure

    protected void setRootFigure​(org.eclipse.draw2d.IFigure figure)

Overrides:
  `setRootFigure` in class `org.eclipse.gef.ui.parts.GraphicalViewerImpl`

#### reveal

    public void reveal​(org.eclipse.gef.EditPart part)

Specified by:
  `reveal` in interface `org.eclipse.gef.EditPartViewer`
Overrides:
  `reveal` in class `org.eclipse.gef.ui.parts.ScrollingGraphicalViewer`